%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate proptest

Name:           rust-proptest
Version:        1.4.0
Release:    1%{?dist}
Summary:        Hypothesis-like property-based testing and shrinking

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/proptest
Source0:         %{crates_source}
Patch:          proptest-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Hypothesis-like property-based testing and shrinking.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+atomic64bit-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+atomic64bit-devel %{_description}

This package contains library source intended for building other packages which
use the "atomic64bit" feature of the "%{crate}" crate.

%files       -n %{name}+atomic64bit-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bit-set-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bit-set-devel %{_description}

This package contains library source intended for building other packages which
use the "bit-set" feature of the "%{crate}" crate.

%files       -n %{name}+bit-set-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+default-code-coverage-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-code-coverage-devel %{_description}

This package contains library source intended for building other packages which
use the "default-code-coverage" feature of the "%{crate}" crate.

%files       -n %{name}+default-code-coverage-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fork-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fork-devel %{_description}

This package contains library source intended for building other packages which
use the "fork" feature of the "%{crate}" crate.

%files       -n %{name}+fork-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lazy_static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static-devel %{_description}

This package contains library source intended for building other packages which
use the "lazy_static" feature of the "%{crate}" crate.

%files       -n %{name}+lazy_static-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-syntax-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-syntax-devel %{_description}

This package contains library source intended for building other packages which
use the "regex-syntax" feature of the "%{crate}" crate.

%files       -n %{name}+regex-syntax-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rusty-fork-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rusty-fork-devel %{_description}

This package contains library source intended for building other packages which
use the "rusty-fork" feature of the "%{crate}" crate.

%files       -n %{name}+rusty-fork-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tempfile-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tempfile-devel %{_description}

This package contains library source intended for building other packages which
use the "tempfile" feature of the "%{crate}" crate.

%files       -n %{name}+tempfile-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+timeout-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+timeout-devel %{_description}

This package contains library source intended for building other packages which
use the "timeout" feature of the "%{crate}" crate.

%files       -n %{name}+timeout-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-1
- initial build
